﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using InvokeSolutions.Xlsx.Data;
using System.IO;
using InvokeSolutions.Xlsx;
using System.Diagnostics;

namespace zSample.ExtendingColumns
{
    class Program
    {
        static void Main(string[] args)
        {
            File.Copy("template.xlsx", "report.xlsx", true);

            var dds = new InvokeSolutions.Xlsx.Data.DocumentDataSource();

            dds["C"] = DataItem.ConvertFrom(
                    new[] {
                            new { Title = "US", Value = "%P.US%" },
                            new { Title= "UK", Value = "%P.UK%" },
                            new { Title= "Germany", Value = "%P.GERMANY%" },
                            new { Title= "Notes", Value = "                  " },
                    });

            dds["P"] = DataItem.ConvertFrom(
                    new object[] {
                        new { Name = "Web Development", Us = 50m, Uk = 40, Germany = 45 },
                        new { Name = "System Programming", Us = 80m, Uk = 75, Germany = "N/A" },
                        new { Name = "Support", Us = 25m, Uk = "N/A", Germany = "N/A" },
                        new { Name = "Integration", Us = "N/A", Uk = 70, Germany = 90 }
                    }
                );

            XlsxRenderer.RenderDocument("report.xlsx", dds);

            Process.Start("report.xlsx");
        }
    }
}
